Page 18 of 18

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Jul 07, 2017 7:07 am
by Pim
Where I can disable APC? When I try to add apc.enable=0 into /etc/php.ini I see no effect?

Thank you.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Jul 07, 2017 1:07 pm
by skamasle
APC is not installed by default, if you have it you need check in what version you have it installed

So make a info.php and see if you have it and check if you have a apc.ini or something like that

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Mon Sep 04, 2017 7:22 pm
by crivenly
Hi,

How can I solve phpmyadmin blank page and http 500 error ?

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Sep 29, 2017 6:46 pm
by skamasle
What error exactly you get ?

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun Oct 08, 2017 5:34 pm
by skamasle
Php 7.1 and PHP 7.2.0RC3

is available now int github, for testing

https://github.com/Skamasle/sk-php-sele ... elector.sh

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Oct 25, 2017 7:19 am
by balinese
hello guys. can someone explain how to enable this selector for user? because it's not available for end user. but if i log in as admin and then log in as user - it's available

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Nov 08, 2017 10:13 pm
by skamasle
balinese wrote:hello guys. can someone explain how to enable this selector for user? because it's not available for end user. but if i log in as admin and then log in as user - it's available


This is not posible,

Not is a php selector issue, you cannot edit any httpd template from user, so this a litte vesta bug.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Tue Nov 14, 2017 8:14 am
by demian
skamasle wrote:
balinese wrote:hello guys. can someone explain how to enable this selector for user? because it's not available for end user. but if i log in as admin and then log in as user - it's available


This is not posible,

Not is a php selector issue, you cannot edit any httpd template from user, so this a litte vesta bug.

it's not bug. The fewer features a user has, the less he can foul.
However, if you use phpcgi templates, the user can change the version of the php on the installed system himself if syslinkes are installed on different versions

for example:

Code: Select all

# ls -l /usr/bin/ | grep php
... php52 -> /opt/php/php52/bin/php
... php52-cgi -> /opt/php/php52/bin/php-cgi
... php52-pear -> /opt/php/php52/bin/pear
... php53 -> /opt/php/php53/bin/php
... php53-cgi -> /opt/php/php53/bin/php-cgi
... php53-pear -> /opt/php/php53/bin/pear
... php53-phar -> /opt/php/php53/bin/phar.phar
... php54 -> /opt/remi/php54/root/usr/bin/php
... php54-cgi -> /opt/remi/php54/root/usr/bin/php-cgi
... php54-pear -> /opt/remi/php54/root/usr/bin/pear
... php54-phar -> /opt/remi/php54/root/usr/bin/phar.phar
... php56 -> /opt/remi/php56/root/usr/bin/php
... php56-cgi -> /opt/remi/php56/root/usr/bin/php-cgi
... php56-pear -> /opt/remi/php56/root/usr/bin/pear
... php56-phar -> /opt/remi/php56/root/usr/bin/phar.phar
... php70 -> /opt/remi/php70/root/usr/bin/php
... php70-cgi -> /opt/remi/php70/root/usr/bin/php-cgi
... php70-phar -> /opt/remi/php70/root/usr/bin/phar.phar

исправив файл /web/<sitename>/cgi-bin/php.cgi

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Thu Nov 16, 2017 9:18 pm
by skamasle
Yes, maybe not is a bug, but same happen with nginx template and broken ssl, I think this need be enabled, so, admin need take desition to disable or not httpd template and nginx template modifications for clients